LIRC libraries LinuxInfraredRemoteControl

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
ir_ncode Struct Reference

`#include <ir_remote_types.h>`

## Data Fields
char * | name
ir_code | code
int | length
lirc_t * | signals
struct ir_code_node * | next
struct ir_code_node * | current
struct ir_code_node * | transmit_state
struct ir_ncode * | next_ncode

## Detailed Description

IR Command, corresponding to one (command defining) line of the configuration file. Normally, there is only one ir_code herein (field code), however, there may be more, namely in the linked list in the field next.

Definition at line 72 of file ir_remote_types.h.

## Field Documentation

ir_code ir_ncode::code

The first code of the command

Definition at line 77 of file ir_remote_types.h.

struct ir_code_node* ir_ncode::current

Should point at the ir_code currently being transmitted, or NULL if none.

Definition at line 91 of file ir_remote_types.h.

int ir_ncode::length

(private)

Definition at line 80 of file ir_remote_types.h.

char* ir_ncode::name

Name of command

Definition at line 74 of file ir_remote_types.h.

struct ir_code_node* ir_ncode::next

Linked list of the subsequent ir_code's, after the first one. NULL if there is only one ir_code (normal case).

Definition at line 87 of file ir_remote_types.h.

struct ir_ncode* ir_ncode::next_ncode

Next code in recorded buttons list.

Definition at line 97 of file ir_remote_types.h.

lirc_t* ir_ncode::signals

(private)

Definition at line 83 of file ir_remote_types.h.

struct ir_code_node* ir_ncode::transmit_state

(private)

Definition at line 94 of file ir_remote_types.h.

The documentation for this struct was generated from the following file:

- /home/mk/tmp/lirc/lib/ir_remote_types.h (b8a7715 2015-02-10 14:16:33 +0100)